class ModuleBase:
    def __init__(self, manager):
        self.manager = manager
    
    def commands(self):
        return []
    
    def helptexts(self):
        return []
    
    def message(self, message_type, message_from, message_subject, message_body, reply):
        pass
    
    def groupchat(self, room, nick, text, handler):
        pass
    
    def join(self, room, nick, show, status, handler):
        pass
    
    def leave(self, room, nick, show, status, handler):
        pass
    
    def topic(self, room, nick, text, handler):
        pass
